#!/bin/sh
#
# runs one cycle
#

if [ $# -ne 1 ] ; then
	echo "usage: runtick.sh <gamename>"
	exit 1
fi

gamename="$1"

echo "game '$gamename'"
echo "started backend cycle at `date +%F\ %H:%M:%S`"

./bin/clock $gamename
./bin/weather $gamename
./bin/environment $gamename
#./bin/market $gamename
#./bin/growth $gamename
#./bin/orderexec $gamename

echo "finished backend cycle at `date +%F\ %H:%M:%S`"
